Kern Elliott Kern Elliott - 5 months ago 9
Node.js Question

Errors Installing Ionic Framework on Mac

When trying to install ionic framework on my mac via node.js using the command

$ npm install -g cordova ionic
I am getting the following errors

npm ERR! Darwin 14.3.0
npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "cordova" "ionic"
npm ERR! node v0.12.5
npm ERR! npm v2.12.0

npm ERR! Attempt to unlock /usr/local/lib/node_modules/cordova, which hasn't been locked
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! <https://github.com/npm/npm/issues>
npm ERR! Darwin 14.3.0
npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "cordova" "ionic"
npm ERR! node v0.12.5
npm ERR! npm v2.12.0

npm ERR! Attempt to unlock /usr/local/lib/node_modules/ionic, which hasn't been locked
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR! /Users/kernelliott/npm-debug.log


Any idea as to why I am getting these errors?

Answer

Use sudo as you are installing in system directory (with the -g, global flag):

sudo npm install -g cordova ionic
Comments